package com.toast.java.logncrash.log4j.sample;

import org.apache.log4j.Logger;
import org.junit.Test;

public class LogNCrashLog4jSample {
	private static Logger log4jLogger = Logger.getLogger(LogNCrashLog4jSample.class);
	private static org.slf4j.Logger slf4jLogger = org.slf4j.LoggerFactory.getLogger(LogNCrashLog4jSample.class);

	@Test
	public void testLog4J(){
		log4jLogger.error("LogNCrash Log4J Test");
		slf4jLogger.error("LogNCraah SLF4J-Log4j Test");
		

		try {
			Object a = null;
			a.hashCode();
		} catch (Exception e) {
			log4jLogger.fatal(e.toString(), e);
		}
		try {
			@SuppressWarnings("unused")
			int a = 10 / 0;
		} catch (Exception e) {
			log4jLogger.fatal(e.toString(), e);
			slf4jLogger.error(e.toString(), e);
		}
	}
}
